Package tigase.monitor.tasks

# Class ScriptTask

java.lang.Object
tigase.monitor.tasks.AbstractConfigurableTask
tigase.monitor.tasks.ScriptTask

All Implemented Interfaces:
  `Initializable`, `UnregisterAware`, `ConfigurableTask`, `MonitorTask`

public class ScriptTask extends AbstractConfigurableTask

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Bindings`
  `bindings`
  `protected ScriptEngineManager`
  `scriptEngineManager`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ScriptTask()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `enable()`
  `Bindings`
  `getBindings()`
  `String`
  `getScript()`
  `ScriptEngineManager`
  `getScriptEngineManager()`
  `String`
  `getScriptExtension()`
  `void`
  `setBindings(Bindings bindings)`
  `void`
  `setScript(String script, String scriptExtension)`
  `void`
  `setScriptEngineManager(ScriptEngineManager scriptEngineManager)`

  ### Methods inherited from class tigase.monitor.tasks.AbstractConfigurableTask

  `beforeUnregister, disable, getCurrentConfiguration, initialize, isEnabled, setEnabled, setNewConfiguration`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### bindings

    @Inject protected Bindings bindings

  - ### scriptEngineManager

    @Inject protected ScriptEngineManager scriptEngineManager

- ## Constructor Details

  - ### ScriptTask

    public ScriptTask()

- ## Method Details

  - ### getBindings

    public Bindings getBindings()

  - ### setBindings

    public void setBindings(Bindings bindings)

  - ### getScript

    public String getScript()

  - ### getScriptEngineManager

    public ScriptEngineManager getScriptEngineManager()

  - ### setScriptEngineManager

    public void setScriptEngineManager(ScriptEngineManager scriptEngineManager)

  - ### getScriptExtension

    public String getScriptExtension()

  - ### setScript

    public void setScript(String script, String scriptExtension)

  - ### enable

    protected void enable()
    Overrides:
      `enable` in class `AbstractConfigurableTask`